Start Campaign Stats Export
Initiates an asynchronous export of campaign statistics to a CSV file.
You first start an export, get an export ID, and then periodically check the status of the export with the Get Campaign Export Status endpoint. You should stop polling as soon as you have a status that is different than “pending”. Multiple exports on the same campaign can be done simultaneously as it is export ID based.Documentation Index
Fetch the complete documentation index at: https://developer.lemlist.com/llms.txt
Use this file to discover all available pages before exploring further.
How it works
- Start the export: Call this endpoint to initiate the export process. You’ll receive an
exportIdin the response. - Check status: Use the
exportIdwith the Get Campaign Export Status endpoint to periodically check the export status. - Download: Once the status is
"done", use the provided URL to download the CSV file.
Response
The response includes:- exportId: Use this to check the export status
- status: Will be
"pending"initially, then"done"or"error" - progress information: Track the export progress
Next steps
After starting an export, use the Get Campaign Export Status endpoint to monitor progress and retrieve the download URL when ready.Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique identifier of the campaign to export
Response
Export started successfully
The unique identifier of the export
The unique identifier of the export (same as _id)
The team identifier
The campaign identifier
The name of the campaign
Current status of the export
pending, done, error When the export was started
Current progress index
Timestamp of progress
Duration of last step in milliseconds
Type of current progress step
Number of items processed
Total number of items to process